diff options
author | Pablo Neira Ayuso <pablo@netfilter.org> | 2016-08-10 17:46:16 +0200 |
---|---|---|
committer | Pablo Neira Ayuso <pablo@netfilter.org> | 2016-08-10 20:17:47 +0200 |
commit | 54c0482494d26b273cd7ea3dcf624fc2c31f7dab (patch) | |
tree | fa2c852b8d4a4dbffe3bd480156d9f2e7b01fa1f /tests/shell/testcases/include/0001absolute_0 | |
parent | df3c616c84ff14eb3990d84b0a9f33797e2fe499 (diff) |
tests: tests to include files
Four tests to cover file inclusion using:
1) Absolute path.
2) Relative path.
3) Default include directory path.
And one more test to cover endless file inclusion loop.
Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/include/0001absolute_0')
-rwxr-xr-x | tests/shell/testcases/include/0001absolute_0 | 29 |
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/shell/testcases/include/0001absolute_0 b/tests/shell/testcases/include/0001absolute_0 new file mode 100755 index 00000000..4ad874fa --- /dev/null +++ b/tests/shell/testcases/include/0001absolute_0 @@ -0,0 +1,29 @@ +#!/bin/bash + +set -e + +tmpfile1=$(mktemp) +if [ ! -w $tmpfile1 ] ; then + echo "Failed to create tmp file" >&2 + exit 0 +fi + +tmpfile2=$(mktemp) +if [ ! -w $tmpfile2 ] ; then + echo "Failed to create tmp file" >&2 + exit 0 +fi + +trap "rm -rf $tmpfile1 $tmpfile2" EXIT # cleanup if aborted + +RULESET1="add table x" +RULESET2="include \"$tmpfile1\"" + +echo "$RULESET1" > $tmpfile1 +echo "$RULESET2" > $tmpfile2 + +$NFT -f $tmpfile2 +if [ $? -ne 0 ] ; then + echo "E: unable to load good ruleset" >&2 + exit 1 +fi |